part of '../pre_translated.dart';

class FrFrLanguageDetails extends QudsLanguageDetails {
  @override
  String get abbreviatedName => 'Fr';

  @override
  String get countryCode => 'FR';

  @override
  String get langCode => 'fr';

  @override
  TextDirection get textDirection => TextDirection.ltr;

  @override
  String get langName => 'French';

  @override
  String get countryName => 'France';

  @override
  Map<String, String> get dictionary => {
        'Back': 'Dos',
        'Sauvegarder': 'حفظ',
        'Current Language': 'Langue courante',
        'Change Language': 'Changer de langue',
        'Select language': 'Choisir la langue',
        'Exit': 'Sortir',
        'Toggle Theme': 'Basculer le thème',
        'As Platform': 'En tant que plate-forme',
        'Select Theme': 'Sélectionne un thème',
        'Light': 'Lumière',
        'Dark': 'Sombre',
        'Open navigation menu': 'Ouvrir le menu de navigation',
        'Close': 'Fermer',
        'Delete': 'Effacer',
        'Remove': 'Supprimer',
        'More': 'Suite',
        'Next month': 'Le mois prochain',
        'Previous month': 'Le mois précédent',
        'Next page': 'Page suivante',
        'Previous page': 'Page précédente',
        'First page': 'Première page',
        'Last page': 'Dernière page',
        'Show menu': 'Afficher le menu',
        'Navigation menu': 'Le menu de navigation',
        'Popup menu': 'Menu contextuel',
        'Dialog': 'Dialogue',
        'Alert': 'Alerte',
        'Search': 'Rechercher',
        'Licenses': 'Licences',
        'CANCEL': 'ANNULER',
        'CLOSE': 'FERMER',
        'CONTINUE': 'CONTINUEZ',
        'Copy': 'Copie',
        'Cut': 'Couper',
        'OK': "d'accord",
        'Paste': 'Pâte',
        'Select all': 'Tout sélectionner',
        'VIEW LICENSES': 'VOIR LES LICENCES',
        'AM': 'UN M',
        'PM': 'PM',
        'Select hours': 'Sélectionnez les heures',
        'Select minutes': 'Sélectionnez les minutes',
        'Dismiss': 'Rejeter',
        'Signed in': 'Connecté',
        'Hide accounts': 'Masquer les comptes',
        'Show accounts': 'Afficher les comptes',
        'Move up': 'Déplacer vers le haut',
        'Move down': 'Descendre',
        'Move left': 'Se déplacer à gauche',
        'Move right': 'Déplacer vers la droite',
        'Move to the end': 'Aller à la fin',
        'Move to the start': 'Aller au début',
        'Collapse': "S'effondrer",
        'Expand': 'Développer',
        'Refresh': 'Rafraîchir',
        'Select year': "Sélectionnez l'année",
        'Date': 'Date',
        'Date Range': 'Plage de dates',
        'Enter Date': 'Entrer la date',
        'Start Date': 'Date de début',
        'End Date': 'Date de fin',
        'Invalid date format.': 'Format de date invalide.',
        'Invalid date range.': 'Plage de dates non valide.',
        'Out of range.': 'Hors de portée.',
        'SAVE': 'SAUVEGARDER',
        'SELECT DATE': 'SÉLECTIONNER UNE DATE',
        'SELECT RANGE': 'SÉLECTIONNER LA GAMME',
        'Switch to calendar': 'Passer au calendrier',
        'Switch to input': "Passer à l'entrée",
        'SELECT TIME': "CHOISISSEZ L'HEURE",
        'ENTER TIME': "ENTRER L'HEURE",
        'Hour': 'Heure',
        'Minute': 'Minute',
        'Enter a valid time': 'Entrez une heure valide',
        'Switch to dial picker mode':
            'Passer en mode sélecteur de numérotation',
        'Switch to text input mode': 'Passer en mode de saisie de texte',
        //Full name monthes
        'January': 'janvier',
        'February': 'février',
        'March': 'Mars',
        'April': 'avril',
        'May': 'Mai',
        'June': 'juin',
        'July': 'juillet',
        'August': 'août',
        'September': 'septembre',
        'October': 'octobre',
        'November': 'novembre',
        'December': 'décembre',
        //Abbreviated months (3 letters)
        'Jan_abb': 'jan',
        'Feb_abb': 'fév',
        'Mar_abb': 'Mar',
        'Apr_abb': 'avr',
        'May_abb': 'Mai',
        'Jun_abb': 'jun',
        'Jul_abb': 'jul',
        'Aug_abb': 'aoû',
        'Sep_abb': 'sep',
        'Oct_abb': 'oct',
        'Nov_abb': 'nov',
        'Dec_abb': 'déc',
        //Full name days
        'Monday': 'lundi',
        'Tuesday': 'Mardi',
        'Wednesday': 'Mercredi',
        'Thursday': 'jeudi',
        'Friday': 'Vendredi',
        'Saturday': 'samedi',
        'Sunday': 'dimanche',
        //Abbreviated days (1-2 letters)
        'Sun_day_abb_1': 'di',
        'Mon_day_abb_1': 'lu',
        'Tue_day_abb_1': 'Ma',
        'Wed_day_abb_1': 'Me',
        'Thu_day_abb_1': 'je',
        'Fri_day_abb_1': 'Ve',
        'Sat_day_abb_1': 'sa',
        //Abbreviated days (3 letters)
        'Mon': 'lun',
        'Tue': 'Mar',
        'Wed': 'Mer',
        'Thu': 'jeu',
        'Fri': 'Ven',
        'Sat': 'sam',
        'Sun': 'dim',
        //....
        'No characters remaining': 'Aucun caractère restant',
        '1 character remaining': '1 caractère restant',
        'characters remaining': 'caractères restants',
        //...
        'No items selected': 'Aucun élément sélectionné',
        '1 item selected': '1 élément sélectionné',
        'items selected': 'éléments sélectionnés',
        //...
        'No licenses.': 'Pas de licences.',
        '1 license.': '1 licence.',
        'licenses.': 'licences.',
        //...
        'Rows per page:': 'Lignes par page :'
      };
}
